sdl2-compat (2.32.62+ds-3) unstable; urgency=medium

  * d/p/Filter-out-non-fullscreen-flags-when-setting-fullscreen.patch,
    d/p/tests-sync-with-latest-SDL2.patch,
    d/p/window-Set-grab-window-flags-even-if-grab-fails.patch:
    Add additional compatibility fixes from upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jan 2026 20:24:56 +0000

sdl2-compat (2.32.62+ds-2) unstable; urgency=medium

  * d/control: Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority field
  * d/upstream-signing-key.asc: Accept Sam's new signing key
  * Revert "Switch the default SDL 2 from "classic" SDL 2 to sdl2-compat".
    Let's have this new upstream version in unstable, even if we're not
    quite ready to make it the default yet.

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jan 2026 19:44:24 +0000

sdl2-compat (2.32.62+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop most patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Jan 2026 11:05:43 +0000

sdl2-compat (2.32.60+ds-3) experimental; urgency=medium

  * d/patches: Update to upstream git commit release-2.32.60-7-g3c72536
    (Closes: #1095774)
  * d/rules, d/libsdl2-dev.install: Don't enable the static library.
    This isn't available on non-Linux platforms, and isn't practically
    useful even on Linux, since the way sdl2-compat is implemented means
    that it always requires a shared SDL3.

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Dec 2025 22:05:07 +0000

sdl2-compat (2.32.60+ds-2) experimental; urgency=medium

  * Switch the default SDL 2 from "classic" SDL 2 to sdl2-compat.
    This takes over the libsdl2-2.0-0 and libsdl2-dev package names from
    src:libsdl2, converting libsdl2-compat, libsdl2-compat-shim and
    libsdl2-compat-dev into transitional packages.
    Please see file:///usr/share/doc/libsdl2-2.0-0/README.Debian.gz
    for details of how individual games can be forced to use "classic"
    SDL 2 (in the libsdl2-classic package) if this causes a regression.
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Dec 2025 10:37:22 +0000

sdl2-compat (2.32.60+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch series (no functional change)

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Dec 2025 13:47:14 +0000

sdl2-compat (2.32.58+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control, d/gbp.conf, d/watch: Move back to release branch

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 16:39:32 +0000

sdl2-compat (2.32.56+git20251029~ee7cf25+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-2.32.56-63-gee7cf25

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Oct 2025 13:02:15 +0000

sdl2-compat (2.32.56+git20251027~cec43be+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-2.32.56-62-gcec43be

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 20:45:42 +0000

sdl2-compat (2.32.56+git20251027~3ecd089+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-2.32.56-61-g3ecd089
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:15:19 +0000

sdl2-compat (2.32.56+git20251003~dbb14db+ds-1) experimental; urgency=medium

  * New upstream snapshot, commit release-2.32.56-42-gdbb14db
  * Populate REVISION.txt with `git describe` output, making the result
    more similar to what will appear in stable releases

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Oct 2025 14:21:16 +0100

sdl2-compat (2.32.56+git20250930~792fc7b+ds-1) experimental; urgency=medium

  * New upstream snapshot, release-2.32.56-40-g792fc7b
  * d/rules: Put the SDL- prefix on REVISION.txt.
    This means we can extract version info from the binary with strings(1)
    and grep(1), the same as for "classic" SDL2.
  * d/rules: Only create REVISION.txt if it doesn't already exist
  * d/control, d/rules: Build using ninja
  * d/rules: Do the build in a directory covered by upstream's .gitignore
  * d/control: Remove Rules-Requires-Root, no longer needed since Debian 13
  * Reformat packaging files using debputy
  * Remove sdl2_compat.pc compatibility symlink temporarily added
    in 2.32.54+ds-1

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 17:37:46 +0100

sdl2-compat (2.32.56+git20250924~1577bce+ds-1) experimental; urgency=medium

  * New upstream snapshot release-2.32.56-36-g1577bce
  * d/upstream/signing-key.asc: Add.
    This is not directly useful for git snapshots, but can be used for
    the next signed tarball release.
  * d/watch*: Convert to uscan format v5

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 10:14:24 +0100

sdl2-compat (2.32.56+git20250910~8df91f9+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Merge packaging from unstable
    - Drop patches added by 2.32.56+ds-3, included in the new upstream
      snapshot
  * d/control: Track debian/snapshots branch in Vcs-Git, matching d/gbp.conf
  * d/watch.git: Convert to v5
  * d/source/lintian-overrides: Silence a false-positive for d/watch v5

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Sep 2025 18:14:49 +0100

sdl2-compat (2.32.56+git20250804~459c48d+ds-1) experimental; urgency=medium

  * d/gbp.conf, d/watch: Watch for git snapshots
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Aug 2025 19:05:30 +0100

sdl2-compat (2.32.56+ds-3) unstable; urgency=medium

  * d/README.Debian: Improve test instructions
  * d/p/init-If-using-sdl2-compat-s-debug-logging-also-turn-on-SD.patch,
    d/p/dynapi-Under-SDL2COMPAT_DEBUG_LOGGING-log-whether-we-were.patch:
    Add patches from upstream to improve debug output.
    This is especially important when combining
    SDL2COMPAT_DEBUG_LOGGING=1, libsdl2-compat-shim, libsdl2-classic,
    and SDL_DYNAMIC_API='/usr/$LIB/sdl2-classic/libSDL2-2.0.so.0',
    to leave a trace on stderr that we were replaced with classic SDL2.

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Sep 2025 15:56:01 +0100

sdl2-compat (2.32.56+ds-2) unstable; urgency=medium

  * Rebuild for unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Aug 2025 11:24:45 +0100

sdl2-compat (2.32.56+ds-1) experimental; urgency=medium

  * New upstream release
    - Fix misleading documentation for SDL_BlitRect()
    - Fix brightness for ioquake3 by reporting SDL_SetWindowGammaRamp()
      as unimplemented
    - Fix corrupted music in OpenRCT2, which plays mono audio that we
      need to convert to stereo
    - Always return a fallback refresh rate and pixel format for
      display modes
    - Make fullscreen behaviour more compatible with classic SDL2
    - Never return any flags from SDL_GetWindowFlags(NULL)
    - Fix a memory leak in SDL_LockTextureToSurface()
    - Avoid including <immintrin.h> on non-x86 if HAVE_IMMINTRIN_H
      somehow gets defined
    - Add quirks table entries for several games that assume X11 and will
      crash if we try to use native Wayland
    - Only compile in X11-specific quirks on Unix platforms
    - Skip rendering textures with a zero-size source rectangle
    - Avoid variable name 'pixel' for symmetry with SDL3
    - Annotate the automated tests with intentional differences from
      classic SDL2
    - Changes specific to macOS and Windows not further documented here
  * d/control: Require SDL 3.2.12

 -- Simon McVittie <smcv@debian.org>  Tue, 06 May 2025 21:17:13 +0100

sdl2-compat (2.32.54+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/Fixed-creating-exclusive-fullscreen-windows.patch:
    Drop patch, fixed upstream
  * d/control: Require SDL 3.2.10
  * d/*.install, d/*.links: Adjust to rename of sdl2-compat.pc.
    This was previously sdl2_compat.pc. Keep a symlink for the old name
    for trixie (to be removed during the forky cycle) just in case anyone
    is relying on it, but nothing in Debian should be using these names
    anyway: the interoperable way to link to either classic SDL2 or
    sdl2-compat is to use sdl2.pc.

 -- Simon McVittie <smcv@debian.org>  Tue, 01 Apr 2025 14:45:09 +0100

sdl2-compat (2.32.52+ds-3) unstable; urgency=medium

  * d/p/Fixed-creating-exclusive-fullscreen-windows.patch:
    Cherry-pick patch from upstream to fix exclusive fullscreen modes.
    Various older games use these, and they need some adjustment to the
    SDL3 way of doing fullscreen and video modes.
  * d/p/debian/test-Disable-audio-test-case-that-fails-in-a-chroot-conta.patch:
    Drop workaround patch so all tests are run.
    The test that was skipped is believed to have been fixed upstream.
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Mar 2025 10:13:47 +0000

sdl2-compat (2.32.52+ds-2) unstable; urgency=medium

  * d/control, d/rules: Link the Provides to the upstream version number.
    Now that sdl2-compat is coupled to the stable ABI of classic SDL2,
    we don't need this to be separate.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:57:35 +0000

sdl2-compat (2.32.52+ds-1) unstable; urgency=medium

  * New upstream release, functionally equivalent to previous snapshot
  * d/control: Depend on SDL 3.2.6 as per CMakeLists.txt

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:03:40 +0000

sdl2-compat (2.32.50+git20250228~4a8b718+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Feb 2025 13:52:39 +0000

sdl2-compat (2.32.50+git20250217~765e74f+ds-1) experimental; urgency=medium

  * d/watch.git: Update
  * d/gbp.conf, d/watch: Watch for git snapshots
  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Feb 2025 15:34:14 +0000

sdl2-compat (2.32.50+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Add post-release bug fixes from upstream,
    up to release-2.32.50-6-g2a42b90, excluding Windows-specific changes

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Feb 2025 17:49:44 +0000

sdl2-compat (2.30.54+ds-1) unstable; urgency=medium

  * New upstream release
  * Increase required SDL3 version to 3.2.4.
    The new SDL_StretchSurface() is now required.
  * d/p/testautomation-Verify-that-SIZEOF_VOIDP-has-been-set-corr.patch:
    Drop patch, applied upstream
  * d/rules: Treat testtimer as flaky when running on non-x86, non-aarch64.
    There is an assertion that requesting a 1ms delay does not result
    in a delay of more than 100ms, and that isn't reliably true on slow
    machines like riscv64 or batch-processing-oriented machines like
    s390x, resulting in intermittent autopkgtest failures.
    This makes those machines unsuitable for playing fast-paced SDL-based
    games, but we already knew that.

 -- Simon McVittie <smcv@debian.org>  Fri, 07 Feb 2025 19:03:04 +0000

sdl2-compat (2.30.52+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/testautomation-Verify-that-SIZEOF_VOIDP-has-been-set-corr.patch:
    Add a patch to check that SDL_config.h sets SIZEOF_VOIDP correctly

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 17:15:07 +0000

sdl2-compat (2.30.51+ds-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Jan 2025 10:17:06 +0000

sdl2-compat (2.30.50+ds-2) unstable; urgency=medium

  * Use upstream's SDL_config.h.
    The hope is that in practice, SDL2 games don't rely on the majority
    of the config macros in here.

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Jan 2025 11:20:43 +0000

sdl2-compat (2.30.50+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump required SDL3 to 3.2.0 stable release
  * d/watch: Watch for official releases
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jan 2025 21:21:56 +0000

sdl2-compat (2.30.50~git20250116~10a9ed3+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 release candidate 3.1.10
  * Bump SDL3 dependency to 3.1.10
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:26:32 +0000

sdl2-compat (2.30.50~git20250108~c368587+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.8
  * Bump SDL3 dependency to 3.1.8
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 16:28:14 +0000

sdl2-compat (2.30.50~git20241102~44a2d4d+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Bump SDL dependency to 3.1.6 for new APIs used
  * d/rules: Identify the upstream snapshot for SDL_GetRevision()
  * d/not-installed:
    Mark additional license file as intentionally not installed

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 19:06:13 +0000

sdl2-compat (2.30.50~git20241004~e094ce8+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.3
    - d/control: (Build-)Depend on corresponding libsdl3 prerelease

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:05:06 +0100

sdl2-compat (2.30.50~git20240917~cbc8bd0+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:08:34 +0100

sdl2-compat (2.30.50~git20240903~8f31681+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:58 +0100

sdl2-compat (2.30.50~git20240729~b50099f+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot
    - d/copyright: Update
  * Add a Lintian override for hardening-no-fortify-functions in some tests

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 16:43:48 +0100

sdl2-compat (2.30.50~git20240507~1bee522+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/p/Bypass-SDL3-s-version-of-SDL_GetWindowGrab-SDL_SetWindowG.patch:
    Drop, no longer required

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:51:47 +0100

sdl2-compat (2.30.50~git20240325~44fec4d+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Require SDL3 prerelease 3.1.0
  * d/p/Bypass-SDL3-s-version-of-SDL_GetWindowGrab-SDL_SetWindowG.patch:
    Add patch reinstating compatibility with SDL 3.1.0 prerelease

 -- Simon McVittie <smcv@debian.org>  Tue, 26 Mar 2024 17:16:34 +0000

sdl2-compat (2.30.50~git20240202~4701ef7+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Bump version number to correspond to 2.30.x branch of classic SDL2
  * d/control: Require a corresponding libsdl3

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Feb 2024 15:51:14 +0000

sdl2-compat (2.28.50~git20240128~de26d69+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Require a corresponding libsdl3

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Jan 2024 14:46:46 +0000

sdl2-compat (2.28.50~git20240124~35695bd+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Require a compatible SDL3 snapshot
  * Drop patch from previous upload, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Jan 2024 13:51:16 +0000

sdl2-compat (2.28.50~git20240121~1aae3d8+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Make the Maintainer consistent with other SDL packages
  * Bump required SDL3 snapshot to 2024-01-21.
    API changes for spinlocks and haptic feedback, among other things, mean
    that older snapshots are incompatible.
  * Add patch to fix test failure on 32-bit architectures

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Jan 2024 10:30:59 +0000

sdl2-compat (2.28.50~git20240110~c5faaac+ds-1) experimental; urgency=medium

  * New package for experimental (Closes: #1060319)
    - Upstream source based on a git snapshot, there are no releases yet
    - Packaging based on a mixture of sdl12-compat and libsdl2
  * This package is experimental, and must not be uploaded to unstable
    until SDL3 is API- and ABI-stable.
  * Initial Debian delta:
    - d/copyright, d/p/test-Don-t-install-bundled-copy-of-unifont.patch:
      Repack to exclude some unnecessary vendored files from the test suite.
      To the best of my knowledge, everything we exclude is (meant to be)
      Free Software, we just don't want to keep track of the copyright and
      licensing status of files that are irrelevant to Debian.
    - d/p/Avoid-hard-coding-libdir-in-sdl2-config.patch:
      Be multi-arch co-installable
    - d/SDL_config.h, d/rules:
      Install a version of SDL_config.h that is backwards-compatible with
      what SDL2 traditionally provided.
      Upstream sdl2-compat currently uses SDL_config_minimal.h on Unix, but
      that version is missing lots of feature-test macros that games are
      probably relying on. Until this gets resolved upstream, we can avoid
      issues similar to #1039439 and #1012232 by providing our own
      relatively complete SDL_config.h.
    - d/p/test-Disable-audio-test-case-that-fails-in-a-chroot-conta.patch,
      Disable a test case that is not yet working

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Jan 2024 15:12:55 +0000
